# PicoBricks DHT11-OLED Örneği
# Raspberry Pi Pico W
# METE HOCA, 13-11-2023

import board, busio, displayio, os, terminalio, microcontroller, time
import adafruit_displayio_ssd1306
import adafruit_dht
from adafruit_display_text import label
from adafruit_bitmap_font import bitmap_font

dht = adafruit_dht.DHT11(board.GP11)

displayio.release_displays()
i2c = busio.I2C(board.GP5, board.GP4)
display_bus = displayio.I2CDisplay(i2c, device_address=0x3C)
display = adafruit_displayio_ssd1306.SSD1306(display_bus, width=128, height=64)
font = bitmap_font.load_font("terminal.bdf")
splash = displayio.Group()
display.show(splash)

sicaklik = 0

baslik = label.Label(font, text="= METE HOCA SICAKLIK =", color=0xFFFFFF)
baslik.anchor_point = (0.5, 0.0)
baslik.anchored_position = (64, 0)
baslik.scale = 1
splash.append(baslik)

sicaklik_degeri = label.Label(font, text = f"{sicaklik}°C", color = 0xFFFFFF)
sicaklik_degeri.anchor_point = (0.5, 0.5)
sicaklik_degeri.anchored_position = (64, 42)
sicaklik_degeri.scale = 5
splash.append(sicaklik_degeri)

while True:
    sicaklik = dht.temperature
    sicaklik_degeri.text = f"{sicaklik}°C"
    time.sleep(2)
